Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.event
Interface RemoteCommitProvider

All Superinterfaces:
  Closeable

All Known Implementing Classes:
  AbstractRemoteCommitProvider, JMSRemoteCommitProvider, SingleJVMRemoteCommitProvider, TCPRemoteCommitProvider

    public interface RemoteCommitProvider

extends Closeable

An entity that is responsible for communicating commit notification to other `RemoteCommitEventManager`s. Each event manager creates a remote commit provider, based on the values of the `openjpa.RemoteCommitProvider` configuration property. An adapter that implements `TransactionListener` is registered with each `Broker`. This adapter invokes `broadcast`, which is responsible for notifying other remote commit provider objects of the commit changes. Upon receiving a notification from a different remote commit provider, a provider must notify all local remote commit listeners via the `RemoteCommitEventManager.fireEvent(java.lang.Object, java.lang.Object)` method. A remote commit provider must not fire remote events for commits that originated with a local broker.

Since:
  0.2.5.0
Author:
  Patrick Linskey

Method Summary
`void` | `broadcast(RemoteCommitEvent event)` Notifies other remote event managers in this JVM and on other machines of changes to the cache.
`void` | `close()` Free the resources used by this provider.
`void` | `setRemoteCommitEventManager(RemoteCommitEventManager mgr)` Set the "owning" remote event manager to notify when remote events are received from remote sources.

Method Detail

### setRemoteCommitEventManager

    void setRemoteCommitEventManager(RemoteCommitEventManager mgr)

  Set the "owning" remote event manager to notify when remote events are received from remote sources.

### broadcast

    void broadcast(RemoteCommitEvent event)

  Notifies other remote event managers in this JVM and on other machines of changes to the cache. This method must not notify the event manager associated with the broker that originated this commit.

### close

    void close()

  Free the resources used by this provider.

  Specified by:
    `close` in interface `Closeable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.